<?php

namespace Assetdocs\Assetrequest\Repositories\Eloquent;

use Assetdocs\Assetrequest\Interfaces\AssetreqhdRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class AssetreqhdRepository extends BaseRepository implements AssetreqhdRepositoryInterface
{
    /**
     * Booting the repository.
     *
     * @return null
     */
    public function boot()
    {
        $this->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'));
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        $this->fieldSearchable = config('package.assetrequest.assetreqhd.search');
        return config('package.assetrequest.assetreqhd.model');
    }
}
