<?php

namespace Assetdocs\Assetrequest\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class AssetreqdtlListTransformer extends TransformerAbstract
{
    public function transform(\Assetdocs\Assetrequest\Models\Assetreqdtl $assetreqdtl)
    {
        return [
            'id'                => $assetreqdtl->getRouteKey(),
            'id'                => $assetreqdtl->id,
            'slno'              => $assetreqdtl->slno,
            'assetreqhd_id'     => $assetreqdtl->assetreqhd_id,
            'category_id'       => $assetreqdtl->category_id,
            'subcategory_id'    => $assetreqdtl->subcategory_id,
            'assetname'         => $assetreqdtl->assetname,
            'unit'              => $assetreqdtl->unit,
            'quantity'          => $assetreqdtl->quantity,
            'unitprice'         => $assetreqdtl->unitprice,
            'price'             => $assetreqdtl->price,
            'remarks'           => $assetreqdtl->remarks,
            'slug'              => $assetreqdtl->slug,
            'user_id'           => $assetreqdtl->user_id,
            'user_type'         => $assetreqdtl->user_type,
            'created_at'        => $assetreqdtl->created_at,
            'updated_at'        => $assetreqdtl->updated_at,
            'deleted_at'        => $assetreqdtl->deleted_at,
        ];
    }
}