<?php

use Illuminate\Database\Migrations\Migration;

class CreateAssetreqhdsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: assetreqhds
         */
        Schema::create('assetreqhds', function ($table) {
            $table->increments('id');
            $table->string('requestno', 20)->nullable();
            $table->integer('division_id')->nullable();
            $table->dateTime('reqdate')->nullable();
            $table->integer('requestedby')->nullable();
            $table->integer('dept_id')->nullable();
            $table->date('required_date')->nullable();
            $table->string('user_type', 10)->nullable();
            $table->enum('status', ['Show','Hide'])->nullable();
            $table->string('slug', 200)->nullable();
            $table->enum('status', ['draft', 'published', 'hidden', 'suspended', 'spam'])->default('draft')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('upload_folder', 100)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('assetreqhds');
    }
}
