<?php

namespace Assetdocs\Assetrequest\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class AssetreqhdItemTransformer extends TransformerAbstract
{
    public function transform(\Assetdocs\Assetrequest\Models\Assetreqhd $assetreqhd)
    {
        return [
            'id'                => $assetreqhd->getRouteKey(),
            'id'                => $assetreqhd->id,
            'requestno'         => $assetreqhd->requestno,
            'division_id'       => $assetreqhd->division_id,
            'reqdate'           => $assetreqhd->reqdate,
            'requestedby'       => $assetreqhd->requestedby,
            'dept_id'           => $assetreqhd->dept_id,
            'required_date'     => $assetreqhd->required_date,
            'slug'              => $assetreqhd->slug,
            'user_id'           => $assetreqhd->user_id,
            'user_type'         => $assetreqhd->user_type,
            'created_at'        => $assetreqhd->created_at,
            'updated_at'        => $assetreqhd->updated_at,
            'deleted_at'        => $assetreqhd->deleted_at,
            'status'            => $assetreqhd->status,
        ];
    }
}